# Interface JspPropertyGroupDescriptor

public interface JspPropertyGroupDescriptor
Represents the JSP property groups in the deployment descriptors.

Since:
  Servlet 3.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getBuffer()`
Obtain the per-page buffer configuration for this group of JSP pages.
`String`
`getDefaultContentType()`
Obtain the default content type this group of JSP pages
`String`
`getDeferredSyntaxAllowedAsLiteral()`
Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?
`String`
`getElIgnored()`
Is Expression Language ignored for this group?
`String`
`getErrorOnELNotFound()`
Will the use of an unknown identifier in EL within a JSP page trigger an error for this group?
`String`
`getErrorOnUndeclaredNamespace()`
Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to a undeclared namespace.
`Collection<String>`
`getIncludeCodas()`
Obtain the codas to include for this group.
`Collection<String>`
`getIncludePreludes()`
Obtain the preludes to include for this group.
`String`
`getIsXml()`
Should the JSPs in this group be treated as JSP documents?
`String`
`getPageEncoding()`
Obtain the page encoding for this group.
`String`
`getScriptingInvalid()`
Is scripting disabled for this group?
`String`
`getTrimDirectiveWhitespaces()`
Should the JSPs in this group have template text that only contains whitespace removed?
`Collection<String>`
`getUrlPatterns()`
Obtain the patterns to which this group applies.

## Method Details

### getUrlPatterns

Collection<String> getUrlPatterns()
Obtain the patterns to which this group applies.

Returns:
  the patterns to which this group applies

### getElIgnored

String getElIgnored()
Is Expression Language ignored for this group?

Returns:
  `true` if EL is ignored, otherwise `false`

### getErrorOnELNotFound

String getErrorOnELNotFound()
Will the use of an unknown identifier in EL within a JSP page trigger an error for this group?

Returns:
  `true` if an error will be triggered, otherwise `false`
Since:
  Servlet 6.0

### getPageEncoding

String getPageEncoding()
Obtain the page encoding for this group.

Returns:
  the page encoding for this group

### getScriptingInvalid

String getScriptingInvalid()
Is scripting disabled for this group?

Returns:
  `true` if scripting is disabled, otherwise `false`

### getIsXml

String getIsXml()
Should the JSPs in this group be treated as JSP documents?

Returns:
  `true` if the JSPs should be treated as JSP documents, otherwise `false`

### getIncludePreludes

Collection<String> getIncludePreludes()
Obtain the preludes to include for this group.

Returns:
  the preludes to include for this group

### getIncludeCodas

Collection<String> getIncludeCodas()
Obtain the codas to include for this group.

Returns:
  the codas to include for this group.

### getDeferredSyntaxAllowedAsLiteral

String getDeferredSyntaxAllowedAsLiteral()
Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?

Returns:
  `true` if the deferred EL syntax is allowed to be used as a literal, otherwise `false`

### getTrimDirectiveWhitespaces

String getTrimDirectiveWhitespaces()
Should the JSPs in this group have template text that only contains whitespace removed?

Returns:
  `true` if the whitespace be removed, otherwise `false`

### getDefaultContentType

String getDefaultContentType()
Obtain the default content type this group of JSP pages.#

Returns:
  the default content type this group of JSP pages

### getBuffer

String getBuffer()
Obtain the per-page buffer configuration for this group of JSP pages.

Returns:
  the per-page buffer configuration for this group of JSP pages

### getErrorOnUndeclaredNamespace

String getErrorOnUndeclaredNamespace()
Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to a undeclared namespace.

Returns:
  `true` if an error should be raised, otherwise `false`